#!/usr/bin/env python
# -*- coding: UTF-8 -*-

###############################################################################
#
#  Copyright (C) 2007 Eric Streit <Eric.Streit@wanadoo.fr>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################


import sys
import pygtk
# mandatory for installation with both pygtk1 and pygtk2
pygtk.require("2.0")
import gtk

class Recordedwordlist:
    """
    class which shows the list of recorded words :
        presents the name allready recorded.
        maybe to be paramterized
    """

    def __init__(self, f_list_widget):
        self.list_widget = f_list_widget
        self.list_model = gtk.ListStore(str,str)
        self.list_widget.set_model(self.list_model)
        self.colonn1 = gtk.TreeViewColumn("Names",gtk.CellRendererText(),text=0)
        self.colonn2 = gtk.TreeViewColumn("Text",gtk.CellRendererText(),text=1)
        self.list_widget.append_column(self.colonn1)
        self.list_widget.append_column(self.colonn2)

    def add_word(self,f_word,f_text):
        self.list_model.append([f_word,f_text])

    def clear_list(self):
        self.list_model.clear()

    def set_name(self,f_name):
        self.colonn1.set_title(f_name)