#!/usr/bin/env python
# -*- coding: UTF-8 -*-

###############################################################################
#
#  Copyright (C) 2007 Eric Streit <Eric.Streit@wanadoo.fr>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################

import sys
import pygtk
# mandatory for installation with both pygtk1 and pygtk2
pygtk.require("2.0")
import gtk

class Statusbar:
    """
    class to update the status bar
    """

    def __init__(self,f_widget):
        self.status_bar = f_widget
        self.context_id = self.status_bar.get_context_id("Yazik statusbar")
        self.message_id = None

    def clear(self):
        # not used ....
        pass

    def update(self,f_message):
        if self.message_id != None:
            self.status_bar.remove(self.context_id,self.message_id)
        self.message_id = self.status_bar.push(self.context_id,f_message)


