#!/usr/bin/env python
# -*- coding: UTF-8 -*-

###############################################################################
#
#  Copyright (C) 2007 Eric Streit <Eric.Streit@wanadoo.fr>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################

import os,sys

import globals
from globals import globals

def get_cache_dir():
    return globals.cache_dir
         
def create_root_package_dir(f_name):
    #print "root package name", f_name
    dir_name = os.path.join(globals.cache_dir,f_name)
    #print "root dir name:", dir_name
    try:
        os.makedirs(dir_name)
    except:
        print "dir exists", dir_name
 
def create_leaf_package_dir(f_root_name,f_leaf_name):
    #print "leaf package name:",f_leaf_name
    dir_name =    os.path.join(globals.cache_dir,f_root_name)
    dir_name =    os.path.join(dir_name,f_leaf_name)
    #print "leaf dir name:", dir_name
    try:
        os.makedirs(dir_name)
    except:
        print "dir exists", dir_name 
        
def create_audio_cache_dir(f_name):
    #print "creating audio cache dir", f_name
    dir_name = os.path.join(globals.cache_dir,f_name)
    #print "audio dir name:", dir_name
    try:
        os.makedirs(dir_name)
    except:
        print "dir exists", dir_name